Skip to main content
POST
/
api2
/
v1
/
users
/
{userUid}
/
undelete
Restore user
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/users/{userUid}/undelete \
  --header 'Authorization: <api-key>'
{
  "active": true,
  "anonymized": true,
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateDeleted": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "firstName": "<string>",
  "id": "<string>",
  "lastName": "<string>",
  "netRateScheme": {
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "note": "<string>",
  "priceList": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "sourceLangs": [
    "<string>"
  ],
  "targetLangs": [
    "<string>"
  ],
  "terminologist": true,
  "timezone": "<string>",
  "uid": "<string>",
  "userName": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

userUid
string
required

UID of the deleted user to restore

Response

OK

User summary object

active
boolean

When false, the user account is deactivated

anonymized
boolean
createdBy
object
dateCreated
string<date-time>

Date the user account was created

dateDeleted
string<date-time>

Date the user account was deleted; null if the account is active

email
string

Email address

firstName
string

First name

id
string

Internal numeric ID

lastName
string

Last name

netRateScheme
object
note
string

Internal note about the user

priceList
object
role
enum<string>

User role

Available options:
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER
sourceLangs
string[]

Source language locales the user works with

targetLangs
string[]

Target language locales the user works with

terminologist
boolean

When true, the user may edit approved terms in term bases

timezone
string

IANA timezone identifier

uid
string

Unique identifier (UID)

userName
string

Username (login name)